## fastkml 0.12

=== requirements.txt ===
# Base package requirements
pygeoif<1.0
python-dateutil

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/FastKML.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/FastKML.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/FastKML"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/FastKML"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## fastkml 0.11

=== debian/changelog ===
fastkml (0.11-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop Python 2 package + use pybuild
  * run tests, but dont fail on errors
  * debian/control
    - bump Standards-Version to 4.4.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Thu, 15 Aug 2019 21:23:11 -0400

fastkml (0.11-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Edward Betts ]
  * debian/control: fix spelling mistake in description
  * d/control: Set Vcs-* to salsa.debian.org

  [ Sandro Tosi ]
  * debian/control
    - add pkg-resources to binary packages Depends; Closes: #896393, #896232
    - bump Standards-Version to 4.1.4 (no changes needed)
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Thu, 26 Apr 2018 23:11:52 -0400

fastkml (0.11-1) unstable; urgency=low

  * Initial release (Closes: #809004)

 -- Sandro Tosi <morph@debian.org>  Sat, 26 Dec 2015 12:43:26 +0000

=== debian/control ===
Source: fastkml
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper-compat (= 9), python3, dh-python, python3-setuptools, python3-pygeoif, python3-dateutil, python3-pytest
Standards-Version: 4.4.0
Homepage: https://github.com/cleder/fastkml
Vcs-Git: https://salsa.debian.org/python-team/modules/fastkml.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/fastkml

Package: python3-fastkml
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-pkg-resources
Description: fast KML processing (Python 3)
 Fastkml is a library to read, write and manipulate KML files. It aims to keep
 it simple and fast (using lxml if available). Fast refers to the time you
 spend to write and read KML files as well as the time you spend to get
 acquainted to the library or to create KML objects.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	python3 setup.py install --root=debian/python3-fastkml --install-layout=deb

override_dh_installchangelogs:
	dh_installchangelogs docs/HISTORY.txt

override_dh_installdocs:
	dh_installdocs -A README.rst

override_dh_auto_test:
	-dh_auto_test

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/fastkml/fastkml-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## fastkml 0.12

=== debian/changelog ===
fastkml (0.12-4) unstable; urgency=medium

  [ Antonio Valentino ]
  * debian/patches:
    - New 0001-Compatibility-with-pygeoif-1.4.0.patch.
      Closes: #1068290.

  [ Andreas Tille ]
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 25 May 2024 20:49:52 +0200

fastkml (0.12-3) unstable; urgency=medium

  * Add my ID to Uploaders
    Closes: #1065140
  * d/watch: Use github API to find latest stable release reliably
  * Standards-Version: 4.6.2 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rules-Requires-Root: no (routine-update)
  Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Wed, 27 Mar 2024 16:30:09 +0100

fastkml (0.12-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Sandro Tosi ]
  * orphan

 -- Sandro Tosi <morph@debian.org>  Fri, 01 Mar 2024 01:12:13 -0500

fastkml (0.12-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * New upstream release
  * Use the new Debian Python Team contact name and address
  * debian/watch
    - track GitHub releases
  * debian/rules
    - install examples
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Thu, 07 Oct 2021 21:59:08 -0400

=== debian/control ===
Source: fastkml
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: debhelper-compat (= 13), python3, dh-sequence-python3, python3-setuptools, python3-pygeoif, python3-dateutil, python3-pytest
Standards-Version: 4.7.0
Homepage: https://github.com/cleder/fastkml
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/fastkml.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/fastkml

Package: python3-fastkml
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-pkg-resources
Description: fast KML processing (Python 3)
 Fastkml is a library to read, write and manipulate KML files. It aims to keep
 it simple and fast (using lxml if available). Fast refers to the time you
 spend to write and read KML files as well as the time you spend to get
 acquainted to the library or to create KML objects.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_install:
	python3 setup.py install --root=debian/python3-fastkml --install-layout=deb

override_dh_installchangelogs:
	dh_installchangelogs docs/HISTORY.txt

override_dh_installdocs:
	dh_installdocs -A README.rst

override_dh_installexamples:
	dh_installexamples examples/*

override_dh_auto_test:
	-dh_auto_test

## fastkml 1.1.0

=== docs/requirements.txt ===
arrow
pygeoif>=1.1
# Documentation Requirements
Sphinx
sphinx-autodoc-typehints
sphinx-rtd-theme
typing-extensions>4

=== debian/changelog ===
fastkml (1.1.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 1.1.0
  * Remove old patch
  * Wrap and sort
  * Remove dependency on python3-pkg-resources (Closes: #1083387)
  * Add build-dep on:
    * python3-arrow
    * python3-hypothesis
  * Enable all tests but one

 -- Alexandre Detiste <tchet@debian.org>  Fri, 31 Jan 2025 12:42:11 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,17 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
-Build-Depends: debhelper-compat (= 13), python3, dh-sequence-python3, python3-setuptools, python3-pygeoif, python3-dateutil, python3-pytest
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
+ python3,
+ python3-arrow <!nocheck>,
+ python3-dateutil,
+ python3-hypothesis <!nocheck>,
+ python3-pygeoif,
+ python3-pytest <!nocheck>,
+ python3-setuptools,
 Standards-Version: 4.7.0
 Homepage: https://github.com/cleder/fastkml
 Rules-Requires-Root: no
@@ -13,7 +23,7 @@
 
 Package: python3-fastkml
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-pkg-resources
+Depends: ${python3:Depends}, ${misc:Depends}
 Description: fast KML processing (Python 3)
  Fastkml is a library to read, write and manipulate KML files. It aims to keep
  it simple and fast (using lxml if available). Fast refers to the time you

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS=-k 'not test_from_string_invalid_coordinates_nan'

%:
	dh $@ --buildsystem=pybuild

#override_dh_installchangelogs:
#	dh_installchangelogs docs/HISTORY.txt

override_dh_installdocs:
	dh_installdocs -A README.rst

override_dh_installexamples:
	dh_installexamples examples/*

=== debian/watch ===
version=4

opts="mode=git" \
 https://github.com/cleder/fastkml refs/tags/v?([\d\.\d]+)
